Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 6037 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Export do pdf s názvem listu

 Odpovědět Odpovědět archiv
Autor
madep Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 01.pro.2006
Lokalita: ČR (Pha)
Používám:
Inventor 2022
Stav: Offline
Bodů: 183
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace madep Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Export do pdf s názvem listu
    Zasláno: 26.lis.2023 v 12:05
Dobrý den,
mám pravidlo na export z výkresu do PDF po jednom listu. Soubor se vždy uloží s názvem souboru IDW.
Potřebuji aby se uložil s názvem listu.
Děkuji za pomoc.

Sub Main PublishPDF()
    ' Get the PDF translator Add-In.
    Dim PDFAddIn As TranslatorAddIn
    PDFAddIn = ThisApplication.ApplicationAddIns.ItemById("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")

    ' a reference to the active document (the document to be published).
    Dim oDocument As Document
     oDocument = ThisApplication.ActiveDocument

    Dim oContext As TranslationContext
     oContext = ThisApplication.TransientObjects.CreateTranslationContext
    oContext.Type = kFileBrowseIOMechanism

    ' Create a NameValueMap object
    Dim oOptions As NameValueMap
     oOptions = ThisApplication.TransientObjects.CreateNameValueMap

    ' Create a DataMedium object
    Dim oDataMedium As DataMedium
     oDataMedium = ThisApplication.TransientObjects.CreateDataMedium
     
      oOptions.Value("Sheet_Range") = kPrintCurrentSheet
     
    ' Check whether the translator has 'SaveCopyAs' options
    If PDFAddIn.HasSaveCopyAsOptions(oDocument, oContext, oOptions) Then

        ' Options for drawings...
          oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintCurrentSheet
        oOptions.Value("All_Color_AS_Black") = 0
'          oOptions.Value("Sheet_Range") = kPrintAllSheet
        'oOptions.Value("Remove_Line_Weights") = 0
        'oOptions.Value("Vector_Resolution") = 400
        'oOptions.Value("Custom_Begin_Sheet") = 2
        'oOptions.Value("Custom_End_Sheet") = 4

    End If

    ' the destination file name
     'oDataMedium.FileName = ThisDoc.PathAndFileName(False)&".pdf"
     Dim sPath = ThisDoc.Path
     Dim sFolder = "Výkresy PDF"
     Dim sFile = ThisDoc.FileName(False)
     
     Dim oPDFFolder = System.IO.Path.Combine(sPath, sFolder)
     
     'Check for the PDF folder and create it if it does not exist
     If Not System.IO.Directory.Exists(oPDFFolder) Then
         System.IO.Directory.CreateDirectory(oPDFFolder)
     End If
     
     oDataMedium.FileName = System.IO.Path.Combine(sPath, sFolder, sFile & ".pdf")
     
'     Dim outputFile As String
'     outputFile = ThisDoc.PathAndFileName(False)&"_"&iProperties.Value("Project", "Revision Number")&".pdf"

    'Publish document.
    Call PDFAddIn.SaveCopyAs(oDocument, oContext, oOptions, oDataMedium)
End Sub

Připojené náhledyPřihlaste se pro zobrazení plné verze - 1782/Strom.png

Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 21402
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 26.lis.2023 v 12:13
Jméno listu je je ActiveSheet.Name, tedy spíše:
Replace(ActiveSheet.Name,":","_")
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
madep Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 01.pro.2006
Lokalita: ČR (Pha)
Používám:
Inventor 2022
Stav: Offline
Bodů: 183
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace madep Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 26.lis.2023 v 19:56
Děkuji, funguje to.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 9973:VIPiLogic makro pro publikování všech listů výkresu do jednoho PDF.
Tip 7472:VIPHromadný tisk různých výkresových listů Inventoru do PDF.
Tip 4776:Export tabulky/seznamu sady listů do Excelu.
Tip 11820:Jak publikovat listy PDF čistě pod názvem rozvržení?
Tip 6649:VIPExport PDF v AutoCADu 2010 selže s chybou.
Tip 5158:VIPSnadný přímý tisk z Revitu do vícelistového PDF souboru.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 1,375 sekund.